﻿
Partial Class VB
    Inherits System.Web.UI.Page

    Public Enum Colors
        Red = 1
        Blue = 2
        Green = 3
    End Enum

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim colors As Array = [Enum].GetValues(GetType(Colors))
            For Each color As Colors In colors
                ddlColors.Items.Add(New ListItem(color.ToString(), (CInt(color)).ToString()))
            Next
            'Add blank item at index 0.
            ddlColors.Items.Insert(0, New ListItem("--Select Color--", "0"))
        End If
    End Sub

    Protected Sub OnSubmit(sender As Object, e As EventArgs)
        Dim color As Integer = Integer.Parse(ddlColors.SelectedValue)
        If color > 0 Then
            Dim colorName As String = [Enum].GetName(GetType(Colors), color)
            ClientScript.RegisterClientScriptBlock(Me.GetType(), "alert", "alert('" & "Color: " & colorName & "\nID: " & color & "')", True)
        End If
    End Sub
End Class
